package fxKirjalista;

import Kirjalista.Kirjasto;
import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author omistaja
 * @version 23.1.2025
 *
 */
public class KirjalistaMain extends Application {    
    @Override
    public void start(Stage primaryStage) {
        try {
            
            final FXMLLoader ldr = new FXMLLoader(getClass().getResource("KirjalistaGUIView.fxml"));
            final Pane root = (Pane)ldr.load();
            
            final KirjalistaGUIController kirjalistaCtrl = (KirjalistaGUIController) ldr.getController();
            final Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("kirjalista.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Kirjalista");
            
            primaryStage.setOnCloseRequest((event) -> {
                if ( !kirjalistaCtrl.voikoSulkea() ) event.consume();
            });
            
            Kirjasto kirjasto = new Kirjasto();
            kirjalistaCtrl.setKirjasto(kirjasto);
            
            kirjalistaCtrl.lueTiedosto();
            
            primaryStage.show();

        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}