package fxKirjalista;

import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;
import javafx.scene.control.TextArea;
import java.awt.datatransfer.StringSelection;
import java.awt.Toolkit;
import java.awt.datatransfer.Clipboard;

/**
 * Tulostusikkunan kontrolleri
 */
public class TulostusController implements ModalControllerInterface<String> {

    @FXML private TextArea teksti;
    
    @FXML private void handleOK() {
        ModalController.closeStage(teksti);
    }
    
    @FXML private void handleKopioi() {
        StringSelection stringSelection = new StringSelection(teksti.getText());
        Clipboard clipboard = Toolkit.getDefaultToolkit().getSystemClipboard();
        clipboard.setContents(stringSelection, null);
    }
    
    @Override
    public String getResult() {
        return null;
    }

    @Override
    public void handleShown() {
        //
    }

    @Override
    public void setDefault(String oletus) {
        teksti.setText(oletus);
    }
    
    /**
     * @return Tekstialue
     */
    public TextArea getTextArea() {
        return teksti;
    }

    
    /**
     * Näyttää tulostusalueessa tekstin
     * @param tulostus tulostettava teskti
     * @return kontrolleri
     */
    public static TulostusController tulosta(String tulostus) {
        TulostusController tulostusCtrl = 
                ModalController.showModeless(TulostusController.class.getResource("TulostusView.fxml"),
                                       "Tulostus", tulostus);
        return tulostusCtrl;
    }

    
}
